{{ define "header"}}
    <div class="title-bar">
        <div class="title">Settings</div>
    </div>
{{end}}

{{ define "content"}}
    <div class="tabs">
        <div class="tab active">Settings</div>
        <a class="tab" href="log">Log</a>
        <a class="tab" href="metrics">Metrics</a>
    </div>

    <div class="settings">

        <form id="settings-edit" action="settings" method="post">
            <div class="control">
                <label>IRC NickName</label>
                <input type="text" name="nick" value="{{.Nick}}">
            </div>
            <div class="control">
                <label>Temp Dir</label>
                <input type="text" name="tempDir" value="{{.TempDir}}">
            </div>
            <div class="control">
                <label>Download Dir</label>
                <input type="text" name="downloadDir" value="{{.DownloadDir}}">
            </div>
            <div class="control">
                <label>Shows Dir</label>
                <input type="text" name="showsDir" value="{{.ShowsDir}}">
            </div>
            <div class="control">
                <label>Movies Dir</label>
                <input type="text" name="moviesDir" value="{{.MoviesDir}}">
            </div>
            <div class="control inline">
                <label>Port Range</label>
                <input type="number" min="0" name="startPort" placeholder="start" value="{{.StartPort}}">
                <input type="number" min="0" name="endPort" placeholder="end" value="{{.EndPort}}">
            </div>
        </form>

        <div class="buttons">
            <button class="btn primary" type="submit" form="settings-edit">Save</button>
        </div>

    </div>
{{end}}